package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_pre_registration):
 */
public class StudentPreRegistration {

	/**  */
	private Long id;
	
	private String musicGroupId;
	
	/** 用户编号 */
	private Integer userId;
	
	/** 联系方式 */
	private String phone;
	
	/** 学生姓名 */
	private String userName;
	
	/** 性别 */
	private boolean gender;
	
	/** 年级 */
	private String currentGrade;
	
	/** 班级 */
	private String currentClass;
	
	/** 第一专业 */
	private Integer subjectFirst;
	
	/** 第二专业 */
	private Integer subjectSecond;
	
	/** 是否允许调剂 */
	private boolean isAllowAdjust;
	
	/** 乐器提供方式 */
	private String kitPurchaseMethod;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setPhone(String phone){
		this.phone = phone;
	}
	
	public String getPhone(){
		return this.phone;
	}
			
	public void setUserName(String userName){
		this.userName = userName;
	}
	
	public String getUserName(){
		return this.userName;
	}
			
	public void setGender(boolean gender){
		this.gender = gender;
	}
	
	public boolean isGender(){
		return this.gender;
	}
			
	public void setCurrentGrade(String currentGrade){
		this.currentGrade = currentGrade;
	}
	
	public String getCurrentGrade(){
		return this.currentGrade;
	}
			
	public void setCurrentClass(String currentClass){
		this.currentClass = currentClass;
	}
	
	public String getCurrentClass(){
		return this.currentClass;
	}
			
	public void setSubjectFirst(Integer subjectFirst){
		this.subjectFirst = subjectFirst;
	}
	
	public Integer getSubjectFirst(){
		return this.subjectFirst;
	}
			
	public void setSubjectSecond(Integer subjectSecond){
		this.subjectSecond = subjectSecond;
	}
	
	public Integer getSubjectSecond(){
		return this.subjectSecond;
	}
			
	public void setIsAllowAdjust(boolean isAllowAdjust){
		this.isAllowAdjust = isAllowAdjust;
	}
	
	public boolean getIsAllowAdjust(){
		return this.isAllowAdjust;
	}
			
	public void setKitPurchaseMethod(String kitPurchaseMethod){
		this.kitPurchaseMethod = kitPurchaseMethod;
	}
	
	public String getKitPurchaseMethod(){
		return this.kitPurchaseMethod;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
